=== debian/changelog ===
ros-crystal-dwb-controller (0.1.7-0bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Carl Delsey <carl.r.delsey@intel.com>  Wed, 13 Mar 2019 18:11:36 -0000
